# Step 6: Using Activeloop Storage

## How to Use Activeloop-Provided Storage

### Register

You can store your Deep Lake Datasets with Activeloop by first creating an account in the [Deep Lake App](https://app.activeloop.ai/) or in the CLI using:

```python
activeloop register
```

### Login

In order for the Python API to authenticate with your account, you should log in from the CLI using:

```bash
activeloop login

# Alternatively, you can directly input your username and password in the same line:
# activeloop login -u my_username -p my_password
```

You can then access or create Deep Lake Datasets by passing the Deep Lake path to `deeplake.dataset()`

```python
import deeplake

deeplake_path = 'hub://organization_name/dataset_name'
               #'hub://jane_smith/my_awesome_dataset'
               
ds = deeplake.dataset(deeplake_path)
```

{% hint style="info" %}
When you create an account in Deep Lake, a default organization is created that has the same name as your username. You can also create other organizations that represent companies, teams, or other collections of multiple users.&#x20;
{% endhint %}

Public datasets such as `'hub://activeloop/mnist-train'`  can be accessed without logging in.

### Tokens

Once you have an Activeloop account, you can create tokens in the [Deep Lake App](https://app.activeloop.ai/) (Organization Details -> API Tokens) and pass them to python commands that require authentication using:

```python
ds = deeplake.load(deeplake_path, token = 'xyz')
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-v3.activeloop.ai/v3.2.0/getting-started/using-activeloop-storage.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
